#
# spec file for package ori
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ori
Version:        0.8.1
Release:        1.1
Summary:        A Secure Distributed File System
License:        MIT
Group:          System/Filesystems
Url:            http://ori.scs.stanford.edu/
Source:         https://bitbucket.org/orifs/ori/downloads/%{name}-%{version}.tar.xz
BuildRequires:  boost-devel
BuildRequires:  fuse-devel
BuildRequires:  gcc-c++
BuildRequires:  libevent-devel
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel
BuildRequires:  pkg-config
BuildRequires:  scons
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Ori is a distributed file system built for offline operation and empowers the
user with control over synchronization operations and conflict resolution.
We provide history through light weight snapshots and allow users to verify the
history has not been tampered with. Through the use of replication instances can
be resilient and recover damaged data from other nodes.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"
scons BUILDTYPE=DEBUG

%install
scons PREFIX=%{buildroot}%{_prefix} install

%files
%defattr(-,root,root)
%doc README
%{_bindir}/ori
%{_bindir}/oridbg
%{_bindir}/orifs
%{_bindir}/orisync
%{_mandir}/man1/ori.1%{?ext_man}
%{_mandir}/man1/oridbg.1%{?ext_man}
%{_mandir}/man1/orifs.1%{?ext_man}
%{_mandir}/man1/orisync.1%{?ext_man}

%changelog
* Mon Sep 29 2014 dsterba@suse.cz
- update to 0.8.1:
  - enable remote commands on orifs
  - enable filelog command
  - expose api to show root of a file
  - support for branch commands
  - misc build fixes
- Removed patch: ori-abuild.patch
* Mon Jan  6 2014 dimstar@opensuse.org
- Initial package, version 0.8.0.
